%define oname pygobject

%define api 2.0
%define major 0
%define libname %mklibname pyglib-gi %api %major

%define _exclude_files_from_autoreq ^%{py_platsitedir}/gi/_gobject/__init__.py\\|^%{py_platsitedir}/gi/pygtkcompat.py

%define url_ver %(echo %{version} | cut -d "." -f -2)

Summary:	Python bindings for GObject Introspection
Name:		python-gobject3
Version:	3.2.0
Release:	%mkrel 3
Source0:	http://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
Patch0:		pygobject-2.90.2-link.patch
License:	LGPLv2+ and MIT
Group:		Development/Python
Url:		http://www.gnome.org
BuildRequires:	python-devel >= 2.5.2
BuildRequires:	pkgconfig(glib-2.0) >= 2.31.0
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 1.31.20
BuildRequires:	pkgconfig(libffi) >= 3.0
BuildRequires:	pkgconfig(pycairo) >= 1.2.0
BuildRequires:	gtk-doc
BuildRequires:	automake

%description
The %{name} package provides a convenient wrapper for the GObject library
for use in Python programs.

%package -n python-gi
Summary:	Python bindings for GObject Introspection
Group:		Development/Python
Provides:	python-gobject-introspection = %{version}-%{release}
Provides:	%{name} = %{version}-%{release}
Conflicts:	python-gobject < 2.28.6-4

%description -n python-gi
The %{name} package provides a convenient wrapper for the GObject library
for use in Python programs.

This package contains the Python GObject Introspection bindings.

%package -n python-gi-cairo
Summary:	Python-gi bindings for Cairo
Group:		Development/Python
Requires:	python-gi = %{version}-%{release}
Requires:	python-cairo >= 1.2.0
Obsoletes:	python-gobject-cairo < 2.28.6-4
Provides:	python-gobject-cairo = %{version}-%{release}

%description -n python-gi-cairo
The %{name} package provides a convenient wrapper for the GObject library
for use in Python programs.

This package contains the Python-gi Cairo bindings.

%package -n %{libname}
Group:		System/Libraries
Summary:	Python GObject Introspection bindings shared library

%description -n %{libname}
This archive contains bindings for the GObject, to be used in Python
It is a fairly complete set of bindings, it's already rather useful, 
and is usable to write moderately complex programs.

%package devel
Group:		Development/C
Summary:	Python-gobject development files
Requires:	%{libname} = %{version}-%{release}

%description devel
This contains the python-gobject development files, including C
header, pkg-config file.

%prep
%setup -q -n %{oname}-%{version}
#patch0 -p0

%build
%configure2_5x
%make LIBS="-lpython%{py_ver}"

%install
rm -rf %{buildroot}
%makeinstall_std

find %buildroot -name *.la | xargs rm

# dsextra stuff is for windows installs so remove it
rm -fr %{buildroot}%{python_sitearch}/gtk-2.0

# docs are out of date and are being reworked upstream
# so remove them
rm -rf %{buildroot}%{_datadir}/gtk-doc
rm -rf %{buildroot}%{_datadir}/pygobject

%files -n python-gi
%defattr(-,root,root)
%doc README NEWS AUTHORS ChangeLog
%py_platsitedir/gi
# Live in cairo subpackage
%exclude %py_platsitedir/gi/_gi_cairo.so

%files -n python-gi-cairo
%defattr(-,root,root)
%py_platsitedir/gi/_gi_cairo.so

%files -n %libname
%defattr(-,root,root)
%{_libdir}/libpyglib-gi-%{api}-python.so.%{major}*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog

* Sat Apr 07 2012 fwang <fwang> 3.2.0-3.mga2
+ Revision: 229564
- fix typo on filter

* Sat Apr 07 2012 fwang <fwang> 3.2.0-2.mga2
+ Revision: 229556
- do not push autoreq from pygtkcompat module

* Mon Mar 26 2012 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 226573
- new version 3.2.0

* Fri Mar 23 2012 anssi <anssi> 3.1.93-2.mga2
+ Revision: 225856
- drop patch which adapted to API change made in upstream GTK+ bug
  #657385, it has now been reverted in GTK+ 3.3.20

* Thu Mar 22 2012 ovitters <ovitters> 3.1.93-1.mga2
+ Revision: 225662
- new version 3.1.93

* Mon Mar 19 2012 ovitters <ovitters> 3.1.92-1.mga2
+ Revision: 224400
- new version 3.1.92

* Wed Mar 07 2012 anssi <anssi> 3.1.1-2.mga2
+ Revision: 221179
- adapt for an API change made in gnome bug #657385 (this change might
  get reverted later, though; adapt-for-gnome657385.patch)

* Tue Feb 21 2012 fwang <fwang> 3.1.1-1.mga2
+ Revision: 211318
- new version 3.1.1

* Mon Feb 06 2012 fwang <fwang> 3.1.0-1.mga2
+ Revision: 205459
- new version 3.1.0

* Tue Dec 13 2011 fwang <fwang> 3.0.3-1.mga2
+ Revision: 181240
- new version 3.0.3

* Tue Oct 25 2011 fwang <fwang> 3.0.2-1.mga2
+ Revision: 157981
- new version 3.0.2

* Sat Oct 01 2011 wally <wally> 3.0.1-1.mga2
+ Revision: 150638
- new version 3.0.1

* Mon Sep 19 2011 wally <wally> 3.0.0-1.mga2
+ Revision: 145640
- new version 3.0.0
- clean .spec a bit

* Fri Sep 16 2011 fwang <fwang> 2.90.4-1.mga2
+ Revision: 144176
- fix linkage
- new version 2.90.4

* Thu Sep 01 2011 fwang <fwang> 2.90.3-1.mga2
+ Revision: 137427
- new version  2.90.3
- disable wrong script for checking req
- imported package python-gobject3

  + wally <wally>
    - fix typo in python-gi-cairo provides/requires

